
From: Adrian Bunk <bunk@stusta.de>

Does the combination
- HOTPLUG_CPU=y
- ACPI_PROCESSOR=y
- ACPI_HOTPLUG_CPU=n
make any sense?

If not, please apply this patch.

Signed-off-by: Adrian Bunk <bunk@stusta.de>
Cc: "Brown, Len" <len.brown@intel.com>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 drivers/acpi/Kconfig |    8 +++-----
 1 files changed, 3 insertions(+), 5 deletions(-)

diff -puN drivers/acpi/Kconfig~enable-acpi_hotplug_cpu-automatically-if-hotplug_cpu=y drivers/acpi/Kconfig
--- devel/drivers/acpi/Kconfig~enable-acpi_hotplug_cpu-automatically-if-hotplug_cpu=y	2005-07-30 00:20:08.000000000 -0700
+++ devel-akpm/drivers/acpi/Kconfig	2005-07-30 00:20:08.000000000 -0700
@@ -153,12 +153,10 @@ config ACPI_PROCESSOR
 	  support it.
 
 config ACPI_HOTPLUG_CPU
-	bool "Processor Hotplug (EXPERIMENTAL)"
-	depends on ACPI_PROCESSOR && HOTPLUG_CPU && EXPERIMENTAL
+	bool
+	depends on ACPI_PROCESSOR && HOTPLUG_CPU
 	select ACPI_CONTAINER
-	default n
-	 ---help---
-	 Select this option if your platform support physical CPU hotplug.
+	default y
 
 config ACPI_THERMAL
 	tristate "Thermal Zone"
_
